#!/bin/bash
# 
# some builds fail and don't even make it to the creation of a web place under /build/ 
# in this case the nightly clean of builds cannot tell that these vservers need being deleted
#
# so what we do is is to identify dirs under /vservers/ that do not have an equivalent
# under either planetlab or onelab
#

if [[ -n "$@" ]] ; then
    all_vservers="$@"
else
    all_vservers=$(find /vservers -maxdepth 1 -type d -print | egrep -v 'vservers/*$|/\.hash$|.pkg$')
fi

for vserverdir in $all_vservers; do
    vserver=$(basename $vserverdir)
    if ls -ld /build/*lab/$vserver &> /dev/null ; then
	continue
    else
	echo $vserver
    fi
done
